"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
var i = 1e3;
function t(p, a) {
  var n = this;
  a = a || i, p.on(["render.shape", "render.connection"], a, function(o, e) {
    var f = o.type, r = e.element, c = e.gfx, h = e.attrs;
    if (n.canRender(r))
      return f === "render.shape" ? n.drawShape(c, r, h) : n.drawConnection(c, r, h);
  }), p.on(["render.getShapePath", "render.getConnectionPath"], a, function(o, e) {
    if (n.canRender(e))
      return o.type === "render.getShapePath" ? n.getShapePath(e) : n.getConnectionPath(e);
  });
}
t.prototype.canRender = function() {
};
t.prototype.drawShape = function() {
};
t.prototype.drawConnection = function() {
};
t.prototype.getShapePath = function() {
};
t.prototype.getConnectionPath = function() {
};
exports.default = t;
